Subject: Re: bug#68583: 29.1; Can't find the cat manpage

From: Eli Zaretskii <[email-masked]>
Date: Fri, 19 Jan 2024 14:01:56 +0200

> Cc: [email-masked]
> Date: Fri, 19 Jan 2024 10:44:18 +0000
> From: Christopher Yeleighton <[email-masked]>
> 
> gxditview display is more accurate (most of the time) but it cannot mark 
> text, so it depends on the content.  Emacs could just unset MANOPT as 
> far as I am concerned.

Emacs cannot just unset MANOPT, since that variable could specify
command-line options for the 'man' command other than the ones you
used.

To avoid the problem you describe, I suggest to set MANOPT only in the
init file of interactive shell, so that a non-interactive shell
invoked by Emacs to run shell commands will be unaffected by MANOPT.

I don't think this is an Emacs bug.